//
//  GBAsynchronousResourceStripper.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 3/12/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GBAsynchronousResourceStripper;
@class GBResourceStripperOperation;
@class GBFile;

// Delegate must implement this method
@interface NSObject (GBAsynchronousResourceStripperDelegate)
- (void)asynchronousResourceStripper:(GBAsynchronousResourceStripper *)stripper strippedResourceForkFromFile:(GBFile *)file nextInQueue:(GBFile *)nextFile;
@end


@interface GBAsynchronousResourceStripper : NSObject {
	NSMutableArray *loadingArray;
	NSMutableArray *filesToProcess;
	
    NSLock *loadingArrayLock;
    NSLock *filesToProcessLock;
	
	GBResourceStripperOperation *stripOperation;
	NSTimer *updateTimer;
	
	id delegate;
}

- (id)initWithDelegate:(id)del;

- (int)countLeft;

- (void)addFilesToQueue:(NSArray *)files;

- (void)clearQueue;


@property(assign) id delegate;


@end
