//
//  GBFileUtilities.h
//  gBrowser
//
//  Created by andreas on Tue Oct 23 2001.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

@interface NSFileManager (GBFileUtilities)

- (NSString *)displayPathForPath:(NSString *)path;

- (void)aliasFiles:(NSArray *)files toDirectory:(NSString *)dir sender:(id)sender;
- (void)linkFiles:(NSArray *)files toDirectory:(NSString *)dir sender:(id)sender;

- (void)moveFiles:(NSArray *)files toDirectory:(NSString *)dir sender:(id)sender;
- (BOOL)moveFile:(NSString *)file toDir:(NSString *)dir withSender:(id)sender;

- (void)copyFiles:(NSArray *)files toDirectory:(NSString *)dir sender:(id)sender;

- (BOOL)renameFileAtPath:(NSString *)path withName:(NSString *)name sender:(id)sender;


- (NSString *)addString:(NSString *)add toFile:(NSString *)file;


// This lock must be locked before attempting to open any resource fork from any thread, since the resource manager is not thread safe
+ (NSLock *)resourceForkLock;


@end


