//
//  GBMiscUtilities.h
//  gBrowser
//
//  Created by Andreas Schwarz on Sun Jan 06 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//
// Miscellaneous categories that are too short to waste a whole file with

#import <Cocoa/Cocoa.h>


@interface NSWindow (GBWindowUtilities)
- (NSPoint)currentOrigin;
@end


@interface NSCursor (GBCursorUtilities)
+ (NSCursor *)openHandGrabCursor;
+ (NSCursor *)closedHandGrabCursor;
@end


@interface NSScrollView (GBScrollViewUtilities)
- (void)offsetX:(int)x Y:(int)y;
@end


@interface NSScreen (GBScreenUtilities)
- (int)screenNumber;
+ (NSScreen *)menubarScreen;
@end


@interface NSEvent (GBEventUtilities)
+ (BOOL)isControlKeyDown;
+ (BOOL)isOptionKeyDown;
+ (BOOL)isCommandKeyDown;
+ (BOOL)isShiftKeyDown;
+ (NSTimeInterval)doubleClickDelay;
@end


@interface NSMenu (GBMenuUtilities)
- (NSMenuItem *)itemOfMenu;
@end;


@interface NSDate (GBDateUtilities)
- (NSString *)stringForTimeLeftWithTotalItems:(int)total itemsDone:(int)done;
@end


@interface NSArray (GBArrayUtilities)
- (unsigned int)indexOfObject:(id)anObject inArraySortedUsingSelector:(SEL)selector;
@end


@interface NSMutableArray (GBMutableArrayUtilities)
- (void)insertObject:(id)anObject inArraySortedUsingSelector:(SEL)selector;
- (void)removeObject:(id)anObject fromArraySortedUsingSelector:(SEL)selector;
@end


@interface NSBezierPath (GBBezierPathUtilities)
- (void)drawRoundedRect:(NSRect)rect cornerRadius:(float)radius color:(NSColor *)color;
@end


@interface NSAffineTransform (GBAffineTransformOrientationUtilities)
+ (NSAffineTransform *)transformFrame:(NSRect)frame forOrientation:(int)orientation;
@end

@interface NSOutlineView (GBOutlineViewUtilities)
- (id)selectedItem;
- (NSArray *)allSelectedItems;
- (void)expandAllItems;
- (void)selectItems:(NSArray *)items byExtendingSelection:(BOOL)extend;
@end






